import { SvelteComponentTyped } from "svelte";
import type { LanguageFn } from "highlight.js";
export interface Language {
    name?: string;
    register: LanguageFn;
}
export interface Slots {
    default: {
        /**
         * The highlighted HTML as a string.
         * @example "<span>...</span>"
         */
        highlighted: string;
    };
}
export interface Events {
    highlight: CustomEvent<{
        /**
         * The highlighted HTML as a string.
         * @example "<span>...</span>"
         */
        highlighted: string;
    }>;
}
declare const __propDef: {
    props: {
        accesskey?: string;
        autofocus?: boolean;
        class?: string;
        contenteditable?: "inherit" | import("svelte/elements").Booleanish;
        contextmenu?: string;
        dir?: string;
        draggable?: import("svelte/elements").Booleanish;
        enterkeyhint?: "search" | "next" | "done" | "enter" | "go" | "previous" | "send";
        hidden?: boolean;
        id?: string;
        lang?: string;
        placeholder?: string;
        slot?: string;
        spellcheck?: import("svelte/elements").Booleanish;
        style?: string;
        tabindex?: number;
        title?: string;
        translate?: "" | "yes" | "no";
        inert?: boolean;
        radiogroup?: string;
        role?: import("svelte/elements").AriaRole;
        about?: string;
        datatype?: string;
        inlist?: any;
        prefix?: string;
        property?: string;
        resource?: string;
        typeof?: string;
        vocab?: string;
        autocapitalize?: string;
        autocorrect?: string;
        autosave?: string;
        color?: string;
        itemprop?: string;
        itemscope?: boolean;
        itemtype?: string;
        itemid?: string;
        itemref?: string;
        results?: number;
        security?: string;
        unselectable?: "off" | "on";
        inputmode?: "search" | "numeric" | "none" | "url" | "text" | "decimal" | "tel" | "email";
        is?: string;
        'bind:innerHTML'?: string;
        'bind:textContent'?: string;
        'data-sveltekit-noscroll'?: true | "" | "off";
        'data-sveltekit-preload-code'?: true | "" | "eager" | "off" | "viewport" | "hover" | "tap";
        'data-sveltekit-preload-data'?: true | "" | "off" | "hover" | "tap";
        'data-sveltekit-reload'?: true | "" | "off";
        'aria-activedescendant'?: string;
        'aria-atomic'?: import("svelte/elements").Booleanish;
        'aria-autocomplete'?: "inline" | "both" | "none" | "list";
        'aria-busy'?: import("svelte/elements").Booleanish;
        'aria-checked'?: boolean | "false" | "true" | "mixed";
        'aria-colcount'?: number;
        'aria-colindex'?: number;
        'aria-colspan'?: number;
        'aria-controls'?: string;
        'aria-current'?: "location" | "time" | import("svelte/elements").Booleanish | "page" | "step" | "date";
        'aria-describedby'?: string;
        'aria-details'?: string;
        'aria-disabled'?: import("svelte/elements").Booleanish;
        'aria-dropeffect'?: "link" | "none" | "copy" | "move" | "execute" | "popup";
        'aria-errormessage'?: string;
        'aria-expanded'?: import("svelte/elements").Booleanish;
        'aria-flowto'?: string;
        'aria-grabbed'?: import("svelte/elements").Booleanish;
        'aria-haspopup'?: "grid" | "dialog" | "menu" | import("svelte/elements").Booleanish | "listbox" | "tree";
        'aria-hidden'?: import("svelte/elements").Booleanish;
        'aria-invalid'?: import("svelte/elements").Booleanish | "grammar" | "spelling";
        'aria-keyshortcuts'?: string;
        'aria-label'?: string;
        'aria-labelledby'?: string;
        'aria-level'?: number;
        'aria-live'?: "off" | "assertive" | "polite";
        'aria-modal'?: import("svelte/elements").Booleanish;
        'aria-multiline'?: import("svelte/elements").Booleanish;
        'aria-multiselectable'?: import("svelte/elements").Booleanish;
        'aria-orientation'?: "horizontal" | "vertical";
        'aria-owns'?: string;
        'aria-placeholder'?: string;
        'aria-posinset'?: number;
        'aria-pressed'?: boolean | "false" | "true" | "mixed";
        'aria-readonly'?: import("svelte/elements").Booleanish;
        'aria-relevant'?: "all" | "text" | "additions" | "additions removals" | "additions text" | "removals" | "removals additions" | "removals text" | "text additions" | "text removals";
        'aria-required'?: import("svelte/elements").Booleanish;
        'aria-roledescription'?: string;
        'aria-rowcount'?: number;
        'aria-rowindex'?: number;
        'aria-rowspan'?: number;
        'aria-selected'?: import("svelte/elements").Booleanish;
        'aria-setsize'?: number;
        'aria-sort'?: "none" | "other" | "ascending" | "descending";
        'aria-valuemax'?: number;
        'aria-valuemin'?: number;
        'aria-valuenow'?: number;
        'aria-valuetext'?: string;
        'on:copy'?: import("svelte/elements").ClipboardEventHandler<HTMLPreElement>;
        'on:cut'?: import("svelte/elements").ClipboardEventHandler<HTMLPreElement>;
        'on:paste'?: import("svelte/elements").ClipboardEventHandler<HTMLPreElement>;
        'on:compositionend'?: import("svelte/elements").CompositionEventHandler<HTMLPreElement>;
        'on:compositionstart'?: import("svelte/elements").CompositionEventHandler<HTMLPreElement>;
        'on:compositionupdate'?: import("svelte/elements").CompositionEventHandler<HTMLPreElement>;
        'on:focus'?: import("svelte/elements").FocusEventHandler<HTMLPreElement>;
        'on:focusin'?: import("svelte/elements").FocusEventHandler<HTMLPreElement>;
        'on:focusout'?: import("svelte/elements").FocusEventHandler<HTMLPreElement>;
        'on:blur'?: import("svelte/elements").FocusEventHandler<HTMLPreElement>;
        'on:change'?: import("svelte/elements").FormEventHandler<HTMLPreElement>;
        'on:beforeinput'?: import("svelte/elements").EventHandler<InputEvent, HTMLPreElement>;
        'on:input'?: import("svelte/elements").FormEventHandler<HTMLPreElement>;
        'on:reset'?: import("svelte/elements").FormEventHandler<HTMLPreElement>;
        'on:submit'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:invalid'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:formdata'?: import("svelte/elements").EventHandler<Event & {
            readonly formData: FormData;
        }, HTMLPreElement>;
        'on:load'?: import("svelte/elements").EventHandler<Event, Element>;
        'on:error'?: import("svelte/elements").EventHandler<Event, Element>;
        'on:toggle'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:keydown'?: import("svelte/elements").KeyboardEventHandler<HTMLPreElement>;
        'on:keypress'?: import("svelte/elements").KeyboardEventHandler<HTMLPreElement>;
        'on:keyup'?: import("svelte/elements").KeyboardEventHandler<HTMLPreElement>;
        'on:abort'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:canplay'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:canplaythrough'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:cuechange'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:durationchange'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:emptied'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:encrypted'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:ended'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:loadeddata'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:loadedmetadata'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:loadstart'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:pause'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:play'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:playing'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:progress'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:ratechange'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:seeked'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:seeking'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:stalled'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:suspend'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:timeupdate'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:volumechange'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:waiting'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:auxclick'?: import("svelte/elements").MouseEventHandler<HTMLPreElement>;
        'on:click'?: import("svelte/elements").MouseEventHandler<HTMLPreElement>;
        'on:contextmenu'?: import("svelte/elements").MouseEventHandler<HTMLPreElement>;
        'on:dblclick'?: import("svelte/elements").MouseEventHandler<HTMLPreElement>;
        'on:drag'?: import("svelte/elements").DragEventHandler<HTMLPreElement>;
        'on:dragend'?: import("svelte/elements").DragEventHandler<HTMLPreElement>;
        'on:dragenter'?: import("svelte/elements").DragEventHandler<HTMLPreElement>;
        'on:dragexit'?: import("svelte/elements").DragEventHandler<HTMLPreElement>;
        'on:dragleave'?: import("svelte/elements").DragEventHandler<HTMLPreElement>;
        'on:dragover'?: import("svelte/elements").DragEventHandler<HTMLPreElement>;
        'on:dragstart'?: import("svelte/elements").DragEventHandler<HTMLPreElement>;
        'on:drop'?: import("svelte/elements").DragEventHandler<HTMLPreElement>;
        'on:mousedown'?: import("svelte/elements").MouseEventHandler<HTMLPreElement>;
        'on:mouseenter'?: import("svelte/elements").MouseEventHandler<HTMLPreElement>;
        'on:mouseleave'?: import("svelte/elements").MouseEventHandler<HTMLPreElement>;
        'on:mousemove'?: import("svelte/elements").MouseEventHandler<HTMLPreElement>;
        'on:mouseout'?: import("svelte/elements").MouseEventHandler<HTMLPreElement>;
        'on:mouseover'?: import("svelte/elements").MouseEventHandler<HTMLPreElement>;
        'on:mouseup'?: import("svelte/elements").MouseEventHandler<HTMLPreElement>;
        'on:select'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:selectionchange'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:selectstart'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:touchcancel'?: import("svelte/elements").TouchEventHandler<HTMLPreElement>;
        'on:touchend'?: import("svelte/elements").TouchEventHandler<HTMLPreElement>;
        'on:touchmove'?: import("svelte/elements").TouchEventHandler<HTMLPreElement>;
        'on:touchstart'?: import("svelte/elements").TouchEventHandler<HTMLPreElement>;
        'on:gotpointercapture'?: import("svelte/elements").PointerEventHandler<HTMLPreElement>;
        'on:pointercancel'?: import("svelte/elements").PointerEventHandler<HTMLPreElement>;
        'on:pointerdown'?: import("svelte/elements").PointerEventHandler<HTMLPreElement>;
        'on:pointerenter'?: import("svelte/elements").PointerEventHandler<HTMLPreElement>;
        'on:pointerleave'?: import("svelte/elements").PointerEventHandler<HTMLPreElement>;
        'on:pointermove'?: import("svelte/elements").PointerEventHandler<HTMLPreElement>;
        'on:pointerout'?: import("svelte/elements").PointerEventHandler<HTMLPreElement>;
        'on:pointerover'?: import("svelte/elements").PointerEventHandler<HTMLPreElement>;
        'on:pointerup'?: import("svelte/elements").PointerEventHandler<HTMLPreElement>;
        'on:lostpointercapture'?: import("svelte/elements").PointerEventHandler<HTMLPreElement>;
        'on:scroll'?: import("svelte/elements").UIEventHandler<HTMLPreElement>;
        'on:resize'?: import("svelte/elements").UIEventHandler<HTMLPreElement>;
        'on:wheel'?: import("svelte/elements").WheelEventHandler<HTMLPreElement>;
        'on:animationstart'?: import("svelte/elements").AnimationEventHandler<HTMLPreElement>;
        'on:animationend'?: import("svelte/elements").AnimationEventHandler<HTMLPreElement>;
        'on:animationiteration'?: import("svelte/elements").AnimationEventHandler<HTMLPreElement>;
        'on:transitionstart'?: import("svelte/elements").TransitionEventHandler<HTMLPreElement>;
        'on:transitionrun'?: import("svelte/elements").TransitionEventHandler<HTMLPreElement>;
        'on:transitionend'?: import("svelte/elements").TransitionEventHandler<HTMLPreElement>;
        'on:transitioncancel'?: import("svelte/elements").TransitionEventHandler<HTMLPreElement>;
        'on:outrostart'?: import("svelte/elements").EventHandler<CustomEvent<null>, HTMLPreElement>;
        'on:outroend'?: import("svelte/elements").EventHandler<CustomEvent<null>, HTMLPreElement>;
        'on:introstart'?: import("svelte/elements").EventHandler<CustomEvent<null>, HTMLPreElement>;
        'on:introend'?: import("svelte/elements").EventHandler<CustomEvent<null>, HTMLPreElement>;
        'on:message'?: import("svelte/elements").MessageEventHandler<HTMLPreElement>;
        'on:messageerror'?: import("svelte/elements").MessageEventHandler<HTMLPreElement>;
        'on:cancel'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:close'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:fullscreenchange'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        'on:fullscreenerror'?: import("svelte/elements").EventHandler<Event, HTMLPreElement>;
        /**
         * Specify the source code to highlight.
         */
        code: any;
        /**
         * Provide the language grammar used to highlight the code.
         * Import languages from `svelte-highlight/languages/*`.
         * @example
         * import typescript from "svelte-highlight/languages/typescript";
         */
        language: Language;
        /**
         * Set to `true` for the language name to be
         * displayed at the top right of the code block.
         *
         * Use style props to customize styles:
         * - `--langtag-background`
         * - `--langtag-color`
         * - `--langtag-border-radius`
         *
         * @default false
         */
        langtag?: boolean;
        /**
         * Customize the background color of the langtag.
         */
        "--langtag-background"?: string;
        /**
         * Customize the text color of the langtag.
         */
        "--langtag-color"?: string;
        /**
         * Customize the border radius of the langtag.
         */
        "--langtag-border-radius"?: string;
    };
    slots: Slots;
    getters: {};
    events: Events;
};
export type HighlightProps = typeof __propDef.props;
export type HighlightEvents = typeof __propDef.events;
export type HighlightSlots = typeof __propDef.slots;
export default class Highlight extends SvelteComponentTyped<HighlightProps, HighlightEvents, HighlightSlots> {
}
export {};
