import type { LanguageFn } from "highlight.js";

interface LanguageType<TName extends string> {
  name?: TName;
  register: LanguageFn;
}

export const _1c: LanguageType<"1c">;
export const abnf: LanguageType<"abnf">;
export const accesslog: LanguageType<"accesslog">;
export const actionscript: LanguageType<"actionscript">;
export const ada: LanguageType<"ada">;
export const angelscript: LanguageType<"angelscript">;
export const apache: LanguageType<"apache">;
export const applescript: LanguageType<"applescript">;
export const arcade: LanguageType<"arcade">;
export const arduino: LanguageType<"arduino">;
export const armasm: LanguageType<"armasm">;
export const xml: LanguageType<"xml">;
export const asciidoc: LanguageType<"asciidoc">;
export const aspectj: LanguageType<"aspectj">;
export const autohotkey: LanguageType<"autohotkey">;
export const autoit: LanguageType<"autoit">;
export const avrasm: LanguageType<"avrasm">;
export const awk: LanguageType<"awk">;
export const axapta: LanguageType<"axapta">;
export const bash: LanguageType<"bash">;
export const basic: LanguageType<"basic">;
export const bnf: LanguageType<"bnf">;
export const brainfuck: LanguageType<"brainfuck">;
export const c: LanguageType<"c">;
export const cal: LanguageType<"cal">;
export const capnproto: LanguageType<"capnproto">;
export const ceylon: LanguageType<"ceylon">;
export const clean: LanguageType<"clean">;
export const clojure: LanguageType<"clojure">;
export const clojureRepl: LanguageType<"clojure-repl">;
export const cmake: LanguageType<"cmake">;
export const coffeescript: LanguageType<"coffeescript">;
export const coq: LanguageType<"coq">;
export const cos: LanguageType<"cos">;
export const cpp: LanguageType<"cpp">;
export const crmsh: LanguageType<"crmsh">;
export const crystal: LanguageType<"crystal">;
export const csharp: LanguageType<"csharp">;
export const csp: LanguageType<"csp">;
export const css: LanguageType<"css">;
export const d: LanguageType<"d">;
export const markdown: LanguageType<"markdown">;
export const dart: LanguageType<"dart">;
export const delphi: LanguageType<"delphi">;
export const diff: LanguageType<"diff">;
export const django: LanguageType<"django">;
export const dns: LanguageType<"dns">;
export const dockerfile: LanguageType<"dockerfile">;
export const dos: LanguageType<"dos">;
export const dsconfig: LanguageType<"dsconfig">;
export const dts: LanguageType<"dts">;
export const dust: LanguageType<"dust">;
export const ebnf: LanguageType<"ebnf">;
export const elixir: LanguageType<"elixir">;
export const elm: LanguageType<"elm">;
export const ruby: LanguageType<"ruby">;
export const erb: LanguageType<"erb">;
export const erlangRepl: LanguageType<"erlang-repl">;
export const erlang: LanguageType<"erlang">;
export const excel: LanguageType<"excel">;
export const fix: LanguageType<"fix">;
export const flix: LanguageType<"flix">;
export const fortran: LanguageType<"fortran">;
export const fsharp: LanguageType<"fsharp">;
export const gams: LanguageType<"gams">;
export const gauss: LanguageType<"gauss">;
export const gcode: LanguageType<"gcode">;
export const gherkin: LanguageType<"gherkin">;
export const glsl: LanguageType<"glsl">;
export const gml: LanguageType<"gml">;
export const go: LanguageType<"go">;
export const golo: LanguageType<"golo">;
export const gradle: LanguageType<"gradle">;
export const graphql: LanguageType<"graphql">;
export const groovy: LanguageType<"groovy">;
export const haml: LanguageType<"haml">;
export const handlebars: LanguageType<"handlebars">;
export const haskell: LanguageType<"haskell">;
export const haxe: LanguageType<"haxe">;
export const hsp: LanguageType<"hsp">;
export const http: LanguageType<"http">;
export const hy: LanguageType<"hy">;
export const inform7: LanguageType<"inform7">;
export const ini: LanguageType<"ini">;
export const irpf90: LanguageType<"irpf90">;
export const isbl: LanguageType<"isbl">;
export const java: LanguageType<"java">;
export const javascript: LanguageType<"javascript">;
export const jbossCli: LanguageType<"jboss-cli">;
export const json: LanguageType<"json">;
export const julia: LanguageType<"julia">;
export const juliaRepl: LanguageType<"julia-repl">;
export const kotlin: LanguageType<"kotlin">;
export const lasso: LanguageType<"lasso">;
export const latex: LanguageType<"latex">;
export const ldif: LanguageType<"ldif">;
export const leaf: LanguageType<"leaf">;
export const less: LanguageType<"less">;
export const lisp: LanguageType<"lisp">;
export const livecodeserver: LanguageType<"livecodeserver">;
export const livescript: LanguageType<"livescript">;
export const llvm: LanguageType<"llvm">;
export const lsl: LanguageType<"lsl">;
export const lua: LanguageType<"lua">;
export const makefile: LanguageType<"makefile">;
export const mathematica: LanguageType<"mathematica">;
export const matlab: LanguageType<"matlab">;
export const maxima: LanguageType<"maxima">;
export const mel: LanguageType<"mel">;
export const mercury: LanguageType<"mercury">;
export const mipsasm: LanguageType<"mipsasm">;
export const mizar: LanguageType<"mizar">;
export const perl: LanguageType<"perl">;
export const mojolicious: LanguageType<"mojolicious">;
export const monkey: LanguageType<"monkey">;
export const moonscript: LanguageType<"moonscript">;
export const n1ql: LanguageType<"n1ql">;
export const nestedtext: LanguageType<"nestedtext">;
export const nginx: LanguageType<"nginx">;
export const nim: LanguageType<"nim">;
export const nix: LanguageType<"nix">;
export const nodeRepl: LanguageType<"node-repl">;
export const nsis: LanguageType<"nsis">;
export const objectivec: LanguageType<"objectivec">;
export const ocaml: LanguageType<"ocaml">;
export const openscad: LanguageType<"openscad">;
export const oxygene: LanguageType<"oxygene">;
export const parser3: LanguageType<"parser3">;
export const pf: LanguageType<"pf">;
export const pgsql: LanguageType<"pgsql">;
export const php: LanguageType<"php">;
export const phpTemplate: LanguageType<"php-template">;
export const plaintext: LanguageType<"plaintext">;
export const pony: LanguageType<"pony">;
export const powershell: LanguageType<"powershell">;
export const processing: LanguageType<"processing">;
export const profile: LanguageType<"profile">;
export const prolog: LanguageType<"prolog">;
export const properties: LanguageType<"properties">;
export const protobuf: LanguageType<"protobuf">;
export const puppet: LanguageType<"puppet">;
export const purebasic: LanguageType<"purebasic">;
export const python: LanguageType<"python">;
export const pythonRepl: LanguageType<"python-repl">;
export const q: LanguageType<"q">;
export const qml: LanguageType<"qml">;
export const r: LanguageType<"r">;
export const reasonml: LanguageType<"reasonml">;
export const rib: LanguageType<"rib">;
export const roboconf: LanguageType<"roboconf">;
export const routeros: LanguageType<"routeros">;
export const rsl: LanguageType<"rsl">;
export const ruleslanguage: LanguageType<"ruleslanguage">;
export const rust: LanguageType<"rust">;
export const sas: LanguageType<"sas">;
export const scala: LanguageType<"scala">;
export const scheme: LanguageType<"scheme">;
export const scilab: LanguageType<"scilab">;
export const scss: LanguageType<"scss">;
export const shell: LanguageType<"shell">;
export const smali: LanguageType<"smali">;
export const smalltalk: LanguageType<"smalltalk">;
export const sml: LanguageType<"sml">;
export const sqf: LanguageType<"sqf">;
export const sql: LanguageType<"sql">;
export const stan: LanguageType<"stan">;
export const stata: LanguageType<"stata">;
export const step21: LanguageType<"step21">;
export const stylus: LanguageType<"stylus">;
export const subunit: LanguageType<"subunit">;
export const swift: LanguageType<"swift">;
export const taggerscript: LanguageType<"taggerscript">;
export const yaml: LanguageType<"yaml">;
export const tap: LanguageType<"tap">;
export const tcl: LanguageType<"tcl">;
export const thrift: LanguageType<"thrift">;
export const tp: LanguageType<"tp">;
export const twig: LanguageType<"twig">;
export const typescript: LanguageType<"typescript">;
export const vala: LanguageType<"vala">;
export const vbnet: LanguageType<"vbnet">;
export const vbscript: LanguageType<"vbscript">;
export const vbscriptHtml: LanguageType<"vbscript-html">;
export const verilog: LanguageType<"verilog">;
export const vhdl: LanguageType<"vhdl">;
export const vim: LanguageType<"vim">;
export const wasm: LanguageType<"wasm">;
export const wren: LanguageType<"wren">;
export const x86asm: LanguageType<"x86asm">;
export const xl: LanguageType<"xl">;
export const xquery: LanguageType<"xquery">;
export const zephir: LanguageType<"zephir">;
